# PhasicFlow: src/Particles/SphereParticles/sphereParticles/sphereParticlesKernels.hpp File Reference

sphereParticlesKernels.hpp File Reference
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

| pFlow
| pFlow::sphereParticlesKernels

## Typedefs

using | rpAcceleration = Kokkos::RangePolicy< DefaultExecutionSpace, Kokkos::Schedule< Kokkos::Static >, Kokkos::IndexType< int32 > >

## Functions

template<typename IncludeFunctionType >
void | acceleration (realx3 g, deviceViewType1D< real > mass, deviceViewType1D< realx3 > force, deviceViewType1D< real > I, deviceViewType1D< realx3 > torque, IncludeFunctionType incld, deviceViewType1D< realx3 > lAcc, deviceViewType1D< realx3 > rAcc)